Computer Security
[EN] securityvulns.ru no-pyccku


Trend Micro ServerProtect multiple security vulnerabilities
Published:09.05.2007
Source:
SecurityVulns ID:7686
Type:remote
Threat Level:
6/10
Description:SpntSvc.exe (TCP/5168) buffer overflow. Buffer overflow in EarthAgent.exe (TCP/3628).
Affected:TM : ServerProtect 5.58
CVE:CVE-2007-2508 (Multiple stack-based buffer overflows in Trend Micro ServerProtect 5.58 before Security Patch 2 Build 1174 allow remote attackers to execute arbitrary code via crafted data to (1) TCP port 5168, which triggers an overflow in the CAgRpcClient::CreateBinding function in the AgRpcCln.dll library in SpntSvc.exe; or (2) TCP port 3628, which triggers an overflow in EarthAgent.exe. NOTE: both issues are reachable via TmRpcSrv.dll.)
Original documentdocumentZDI, ZDI-07-024: Trend Micro ServerProtect EarthAgent Stack Overflow Vulnerability (09.05.2007)
 documentZDI, ZDI-07-025: Trend Micro ServerProtect AgRpcCln.dll Stack Overflow Vulnerability (09.05.2007)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod